Name:           libgweather
Version:        2.22.3
Release:        1%{?dist}
Summary:        A library for weather information 

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.gnome.org 
Source0:        http://download.gnome.org/sources/libgweather/2.22/%{name}-%{version}.tar.bz2
Source1:	copy.xsl
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2-devel >= 2.8.0
BuildRequires:  gtk2-devel >= 2.11.0
BuildRequires:  gnome-vfs2-devel >= 2.15.4
BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)

%description
libgweather is a library to access weather information from online
services for numerous locations.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
# libgweather used to be part of gnome-applets, and
# gnome-applets-devel only had the libgweather-devel parts in it
Obsoletes:	gnome-applets-devel < 1:2.21.4-1
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

cd po
make %{name}.pot
for p in *.po; do
  msgmerge -U $p %{name}.pot
done
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT

# waste less space 
xsltproc %{SOURCE1} data/Locations.xml > loc.xml
sed -e "s/^\s*//" -e "/^$/d" loc.xml > data/Locations.xml

make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gweather.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gweather.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gweather.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/gconf/schemas/gweather.schemas
%{_libdir}/libgweather.so.*
%{_datadir}/libgweather

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgweather
%{_libdir}/libgweather.so
%{_libdir}/pkgconfig/gweather.pc


%changelog
* Tue Jul  1 2008 Matthias Clasen <mclasen@redhat.com> 2.22.333
- Update to 2.22.3

* Wed May 28 2008 Matthias Clasen <mclasen@redhat.com> 2.22.2-1
- Update to 2.22.2

* Mon May  5 2008 Matthias Clasen <mclasen@redhat.com> 2.22.1.1-3
- Caracas has no u (#445275)

* Thu Apr 17 2008 Matthias Clasen <mclasen@redhat.com> 2.22.1.1-2
- Leave Cairo in Africa (#442793)

* Mon Apr  7 2008 Matthias Clasen <mclasen@redhat.com> 2.22.1.1-1
- Update to 2.22.1.1

* Tue Mar 11 2008 Matthias Clasen <mclasen@redhat.com> 2.22.0-1
- Update to 2.22.0

* Tue Feb 26 2008 Matthias Clasen <mclasen@redhat.com> 2.21.92-1
- Update to 2.21.92

* Mon Feb 11 2008  Matthias Clasen <mclasen@redhat.com> 2.21.2-6
- Remove obsolete translations

* Sat Feb  9 2008  Matthias Clasen <mclasen@redhat.com> 2.21.2-5
- Rebuild for gcc 4.3

* Wed Jan 16 2008  Matthias Clasen <mclasen@redhat.com> 2.21.2-4
- Add Obsoletes for gnome-applets-devel

* Wed Jan 16 2008  Matthias Clasen <mclasen@redhat.com> 2.21.2-3
- Carry over space-saving hack from gnome-applets

* Tue Jan 15 2008  Matthias Clasen <mclasen@redhat.com> 2.21.2-2
- Incorporate review feedback (#428739)

* Mon Jan 14 2008  Matthias Clasen <mclasen@redhat.com> 2.21.2-1
- Update to 2.21.2

* Thu Jan 10 2008  Matthias Clasen <mclasen@redhat.com> 2.21.1-1
- Initial packaging

